API DocumentationManufacturer customer controller

Create a customer in an organization

POST
/api/manufacturer/v1/customer/organisation/{organisationId}

Creates a new customer that belongs to a specific organization

Authorization

Phasio API Bearer Token
AuthorizationBearer <token>

In: header

Path Parameters

organisationId*integer

ID of the organization to add the customer to

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/api/manufacturer/v1/customer/organisation/1" \  -H "Content-Type: application/json" \  -d '{    "notificationPreference": "EMAIL"  }'
{  "email": "string",  "customerId": 0,  "organisationId": 0,  "organisationName": "string",  "isApproved": true,  "firstName": "string",  "lastName": "string",  "phoneNumber": "string",  "notificationPreference": "string",  "discountId": 0,  "discountPercentage": 0,  "language": "string"}
{  "error": "ORDER_NOT_FOUND",  "message": "Order not found"}
{  "error": "ORDER_NOT_FOUND",  "message": "Order not found"}
{  "error": "ORDER_NOT_FOUND",  "message": "Order not found"}